/*
**  NSStringExtensions.m
**
**  Copyright (C) 2002
**
**  Author: Ludovic Marcotte <ludovic@Sophos.ca>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#import "NSStringExtensions.h"

#import "Constants.h"

@implementation NSString (PlopFolioStringExtensions)

- (NSString *) stringByTrimmingWhiteSpaces
{
#ifndef MACOSX
  return [self stringByTrimmingSpaces];
#else
  NSMutableString *aMutableCopy;

  aMutableCopy = [[NSMutableString alloc] initWithString: self];
    
  while ( [[NSCharacterSet whitespaceAndNewlineCharacterSet] characterIsMember: [aMutableCopy characterAtIndex: 0]] )
    {
      [aMutableCopy deleteCharactersInRange: NSMakeRange(0,1)];
    }

  while ( [[NSCharacterSet whitespaceAndNewlineCharacterSet] characterIsMember: [aMutableCopy characterAtIndex: ([aMutableCopy length] - 1)]] )
    {
      [aMutableCopy deleteCharactersInRange: NSMakeRange([aMutableCopy length]-1, 1)];
    }

  return AUTORELEASE(aMutableCopy);
#endif
}

@end
